For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Update the entity to which the authenticated user belongs.
This endpoint requires an [entity user access token](https://docs.monite.com/api/concepts/authentication#entity-user-token). The user must have a role with the `entity.update` permission.
This endpoint does not use the `X-Monite-Entity-Id` header. The entity ID is inferred from the access token.
Related endpoints:
* [Update entity settings](https://docs.monite.com/api/entities/patch-entities-id-settings)
* [Update entity logo](https://docs.monite.com/api/entities/put-entities-id-logo)
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Headers
x-monite-versionstringRequired
Request
This endpoint expects an object.
addressobjectOptional
An address description of the entity
emailstringOptionalformat: "email"
An official email address of the entity
individualobjectOptional
A set of meta data describing the individual
organizationobjectOptional
A set of meta data describing the organization
phonestringOptional<=100 characters
The contact phone number of the entity. Required for US organizations to use payments.
(Germany only) The name of the local district court (Amtsgericht) where the entity is registered. Required if registration_number is provided.
registration_numberstringOptional1-100 characters
(Germany only) The entity’s commercial register number (Handelsregisternummer) in the German Commercial Register, if available.
tax_idstringOptional1-30 characters
The new taxpayer identification number (tax ID) of the entity. Tax ID is required for entities that are not VAT-registered.
Note: If an entity that is onboarded for payments updates its tax ID, this entity must re-accept the Monite payments terms of service (ToS) to continue using payments. To accept the ToS, call PATCH /entities/{entity_id}/onboarding_data and provide the new tos_acceptance.date timestamp. This timestamp must be later than the time when the tax_id was last updated.